CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2005-2337

Ruby 1.6.x up to 1.6.8, 1.8.x up to 1.8.2, and 1.9.0 development up to 2005-09-01 allows attackers to bypass safe level and taint flag protections and execute disallowed code when Ruby processes a program through standard input (stdin).
Publish Date : 2005-10-07 Last Update Date : 2017-10-10
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
7.5
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access User
Vulnerability Type(s) Execute CodeBypass a restriction or similar
CWE ID CWE id is not defined for this vulnerability

- Additional Vendor Supplied Data

Vendor Impact CVSS Score CVSS Vector Report Date Publish Date
Redhat moderate 2005-09-23 2005-09-23
If you are a vendor and you have additional data which can be automatically imported into our database, please contact admin @ cvedetails.com

- Related OVAL Definitions

Title Definition Id Class Family
CVE-2005-2337 oval:org.opensuse.security:def:20052337 unix
RHSA-2005:799: ruby security update (Moderate) oval:com.redhat.rhsa:def:2005799 unix
RHSA-2005:799: ruby security update (Moderate) oval:com.redhat.rhsa:def:20050799 unix
Ruby 1.6.x up to 1.6.8, 1.8.x up to 1.8.2, and 1.9.0 development up to 2005-09-01 allows attackers to bypass safe level ... oval:org.mitre.oval:def:10564 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2005-2337

# Product Type Vendor Product Version Update Edition Language
1 Application Yukihiro Matsumoto Ruby 1.6 Version Details Vulnerabilities
2 Application Yukihiro Matsumoto Ruby 1.6.1 Version Details Vulnerabilities
3 Application Yukihiro Matsumoto Ruby 1.6.2 Version Details Vulnerabilities
4 Application Yukihiro Matsumoto Ruby 1.6.3 Version Details Vulnerabilities
5 Application Yukihiro Matsumoto Ruby 1.6.4 Version Details Vulnerabilities
6 Application Yukihiro Matsumoto Ruby 1.6.5 Version Details Vulnerabilities
7 Application Yukihiro Matsumoto Ruby 1.6.6 Version Details Vulnerabilities
8 Application Yukihiro Matsumoto Ruby 1.6.7 Version Details Vulnerabilities
9 Application Yukihiro Matsumoto Ruby 1.8 Version Details Vulnerabilities
10 Application Yukihiro Matsumoto Ruby 1.8.1 Version Details Vulnerabilities
11 Application Yukihiro Matsumoto Ruby 1.8.2 Pre1 Version Details Vulnerabilities
12 Application Yukihiro Matsumoto Ruby 1.8.2 Pre2 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Yukihiro Matsumoto Ruby 12

- References For CVE-2005-2337

https://exchange.xforce.ibmcloud.com/vulnerabilities/22360
XF ruby-eval-security-bypass(22360)
http://www.vupen.com/english/advisories/2006/1779
VUPEN ADV-2006-1779
http://www.us-cert.gov/cas/techalerts/TA06-132A.html
CERT TA06-132A
http://www.ubuntu.com/usn/usn-195-1
UBUNTU USN-195-1
http://www.securitytracker.com/alerts/2005/Sep/1014948.html
SECTRACK 1014948
http://www.mandriva.com/security/advisories?name=MDKSA-2005:191
MANDRIVA MDKSA-2005:191
http://www.novell.com/linux/security/advisories/2006_05_sr.html
SUSE SUSE-SR:2006:005
http://www.redhat.com/support/errata/RHSA-2005-799.html
REDHAT RHSA-2005:799
http://www.ruby-lang.org/en/20051003.html CONFIRM
http://www.securityfocus.com/bid/17951
BID 17951 Apple Mac OS X Security Update 2006-003 Multiple Vulnerabilities Release Date:2008-03-19
http://www.gentoo.org/security/en/glsa/glsa-200510-05.xml
GENTOO GLSA-200510-05
http://www.securityfocus.com/bid/14909
BID 14909 Yukihiro Matsumoto Ruby SAFE Level Restriction Bypass Vulnerability Release Date:2009-07-12
http://www.kb.cert.org/vuls/id/160012
CERT-VN VU#160012
http://www.debian.org/security/2005/dsa-864
DEBIAN DSA-864
http://www.debian.org/security/2005/dsa-860
DEBIAN DSA-860
http://www.debian.org/security/2005/dsa-862
DEBIAN DSA-862
http://jvn.jp/jp/JVN%2362914675/index.html
http://lists.apple.com/archives/security-announce/2006/May/msg00003.html
APPLE APPLE-SA-2006-05-11
http://securityreason.com/securityalert/59
SREASON 59

- Metasploit Modules Related To CVE-2005-2337

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.